package com.pdaaphm.biz.service.impl;

import cn.hutool.core.date.DateUtil;
import com.pdaaphm.biz.service.IRedisLogService;
import com.pdaaphm.common.core.redis.RedisCache;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.MessageFormat;

/**
 * @Description RedisLogService
 * @Author WGK
 * @Date 2023/10/18 18:13
 */
@Service
@Slf4j
public class RedisLogService implements IRedisLogService {

    @Autowired
    private RedisCache redisCache;

    @Override
    public String getLogInfo(String taskId) {
        String sss = redisCache.getCacheObject(taskId);
        log.error(sss);
        return sss;
    }

    @Override
    public void info(String taskId, String megStr) {
        this.addInfo("INFO" , taskId, megStr);
    }

    @Override
    public void error(String taskId, String megStr) {
        this.addInfo("ERROR" , taskId, megStr);
    }

    private void addInfo(String level, String taskId, String megStr) {
        String message = String.format("<p> %s: [%s] -> %s </p>", level, DateUtil.now(), megStr );
        if ("ERROR".equals(level)) {
            message = String.format("<p style='color: #e3270e'> %s: [%s] %s </p>", level, DateUtil.now(), megStr );
        }
        // String msg = "当前任务ID: " + taskId + "；任务进展：" + megStr;
        log.info(megStr);
        if(redisCache.hasKey(taskId)) {
            message = redisCache.getCacheObject(taskId) + message;
        }
        // redisCache.appendCacheString(taskId, message);
        // log.error(redisCache.getCacheObject(taskId));
        redisCache.setCacheObject(taskId, message);
    }
}
